summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-05-09 02:00:15 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-16 22:24:18 -0500
commit6cb750591ea40a391800ea92c37a9f47cd095f06 (patch)
treec01483aa455237a1dc7a51e1aa550d5cff46cd67 /libraries
parente6185a9ff426139dd35ab479fe7335af8ce11d19 (diff)
downloadslackbuilds-6cb750591ea40a391800ea92c37a9f47cd095f06.tar.gz
slackbuilds-6cb750591ea40a391800ea92c37a9f47cd095f06.tar.xz
libraries/Mako: Updated for version 0.3.2.
Diffstat (limited to 'libraries')
-rw-r--r--libraries/Mako/Mako.SlackBuild13
-rw-r--r--libraries/Mako/Mako.info6
2 files changed, 9 insertions, 10 deletions
diff --git a/libraries/Mako/Mako.SlackBuild b/libraries/Mako/Mako.SlackBuild
index f06e7fe0eb..4bc039d13e 100644
--- a/libraries/Mako/Mako.SlackBuild
+++ b/libraries/Mako/Mako.SlackBuild
@@ -5,7 +5,7 @@
# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
PRGNAM=Mako
-VERSION=${VERSION:-0.2.5}
+VERSION=0.3.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -32,12 +32,11 @@ find . \
python setup.py install --root=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+# Remove *.pyc files
+find $PKG -name "*.pyc" -exec rm -f {} \;
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
diff --git a/libraries/Mako/Mako.info b/libraries/Mako/Mako.info
index 0480958d62..24fdabf3bb 100644
--- a/libraries/Mako/Mako.info
+++ b/libraries/Mako/Mako.info
@@ -1,8 +1,8 @@
PRGNAM="Mako"
-VERSION="0.2.5"
+VERSION="0.3.2"
HOMEPAGE="http://www.makotemplates.org/"
-DOWNLOAD="http://pypi.python.org/packages/source/M/Mako/Mako-0.2.5.tar.gz"
-MD5SUM="d8ca783630dc5e93970a2075532fa643"
+DOWNLOAD="http://pypi.python.org/packages/source/M/Mako/Mako-0.3.2.tar.gz"
+MD5SUM="4fc68467ee226111e102510054ae1e51"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Larry Hajali"